﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using C1.Silverlight.Pdf;

namespace C1.Silverlight.FlexGrid.PrintPreview
{
    public class PageSettings
    {
        // const
        public PageSettings()
        {
            _isLandscape = false;
            _margins = new Thickness(0);
        }

        // members
        private Thickness _margins;
        public Thickness Margins
        {
            get
            {
                return _margins;
            }
            set
            {
               // _margins = new Thickness(value.Left, value.Top, value.Right, value.Bottom);
                _margins = value;
            }
        }

        public double LeftMargin
        {
            get
            {
                if (_margins != null)
                {
                    return _margins.Left;
                }
                else
                    return 0;
            }
        }

        public double TopMargin
        {
            get
            {
                if (_margins != null)
                {
                    return _margins.Top;
                }
                else
                    return 0;
            }
        }
        public double RightMargin
        {
            get
            {
                if (_margins != null)
                {
                    return _margins.Right;
                }
                else
                    return 0;
            }
        }
        public double BottomMargin
        {
            get
            {
                if (_margins != null)
                {
                    return _margins.Bottom;
                }
                else
                    return 0;
            }
        }

        private bool _isLandscape;
        public bool IsLandscape
        {
            get
            {
                return _isLandscape;
            }
            set
            {
                _isLandscape = value;
            }
        }

        private ScaleMode _scaleMode;
        public ScaleMode ScaleMode
        {
            get
            {
                return _scaleMode;
            }
            set
            {
                _scaleMode = value;
            }
        }

        private PaperKind _paperKind;
        public PaperKind PaperKind
        {
            get
            {
                return _paperKind;
            }
            set
            {
                _paperKind = value;
            }
        }

        private Size _customPageSize;
        public Size CustomPageSize
        {
            get
            {
                return _customPageSize;
            }
            set
            {
                _customPageSize = value;
            }
        }

        private string _headerLeftText;
        public string HeaderLeftText
        {
            get
            {
                if (_headerLeftText == null)
                    return "";
                else
                    return _headerLeftText;
            }
            set
            {
                _headerLeftText = value;
            }
        }

        private string _headerRightText;
        public string HeaderRightText
        {
            get
            {
                if (_headerRightText == null)
                    return "";
                else
                    return _headerRightText;
            }
            set
            {
                _headerRightText = value;
            }
        }

        private string _footerLeftText;
        public string FooterLeftText
        {
            get
            {
                if (_footerLeftText == null)
                    return "";
                else
                    return _footerLeftText;
            }
            set
            {
                _footerLeftText = value;
            }
        }

        private string _footerRightText;
        public string FooterRightText
        {
            get
            {
                if (_footerRightText == null)
                    return "";
                else
                    return _footerRightText;
            }
            set
            {
                _footerRightText = value;
            }
        }

        private bool _showHeaderSeparator;
        public bool ShowHeaderSeparator
        {
            get
            {
                return _showHeaderSeparator;
            }
            set
            {
                _showHeaderSeparator = value;
            }
        }

        private bool _showFooterSeparator;
        public bool ShowFooterSeparator
        {
            get
            {
                return _showFooterSeparator;
            }
            set
            {
                _showFooterSeparator = value;
            }
        }
        
    }
}
